package com.huimv.receive.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.receive.common.utils.Result;
import com.huimv.receive.entity.BillPcr;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.text.ParseException;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * pcr 表 服务类
 * </p>
 *
 * @author author
 * @since 2023-07-21
 */
public interface IBillPcrService extends IService<BillPcr> {
    Result list(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result listById(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result edit(HttpServletRequest httpServletRequest, String farmId, String id, String date, String result,
                MultipartFile img1, MultipartFile img2, MultipartFile img3, MultipartFile picture1, MultipartFile picture2, MultipartFile picture3) throws ParseException, IOException;

    //pcr批量修改
    Result editBatch(HttpServletRequest httpServletRequest,String farmId,String ids, String date, String result,
                     MultipartFile img1, MultipartFile img2, MultipartFile img3, MultipartFile picture1, MultipartFile picture2, MultipartFile picture3) throws ParseException, IOException;
    Result listPersonalPcr(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    //后台总体概况
    Result pcrWhole(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result listType(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result listLocation(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result listAll(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);
    //详细数据查询
    Result selectList(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    //导出
    void printPcr(HttpServletResponse httpServletRequest, Map<String, String> paramsMap) throws Exception;

    //大屏
    Result PcrList(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);
}
